<xsl:stylesheet xmlns:xsl = "http://www.w3.org/1999/XSL/Transform" version = "1.0" >
<xsl:output method="text" media-type="text/plain"/>
<xsl:template match = "/icestats" >graph_title <xsl:value-of select="server_id" /> on <xsl:value-of select="host" /> <!-- port  <xsl:value-of select="" />-->
graph_args --base 1000 --upper-limit 100 --lower-limit 0 <!-- limits have to be adjusted manually!  values not available from within icecast-->
graph_vlabel listeners
graph_category Other
graph_info This graph shows the listener counts for an icecast server.<!--</xsl:text>-->
<!--uncoment this if you want to override the host name within munin
host_name <xsl:value-of select="host" />
-->
<xsl:text>                                                 
</xsl:text>
<xsl:for-each select="source">
 <xsl:value-of select="translate(@mount, '/.-', '___')" />.label <xsl:value-of select="@mount" /><xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.-', '___')" />.info <xsl:value-of select="@mount" /><xsl:text>
</xsl:text>
<!-- if unlimited then don't show those! -->
 <xsl:choose>
 <xsl:when test="max_listeners='unlimited'">
 </xsl:when>
  <xsl:otherwise>
   <!-- warnings will be set to 90% of max_listeners but with the decimals cut off -->
   <xsl:value-of select="translate(@mount, '/.', '__')" />.warning <xsl:number value = "max_listeners*0.9" format = "1" /><xsl:text>
</xsl:text>
   <xsl:value-of select="translate(@mount, '/.', '__')" />.critical <xsl:value-of select="max_listeners" /><xsl:text>
</xsl:text>
  </xsl:otherwise>
 </xsl:choose>

 <xsl:value-of select="translate(@mount, '/.', '__')" />.type GAUGE<xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.', '__')" />.draw LINE1<xsl:text>
</xsl:text><!--
 <xsl:value-of select="translate(@mount, '/.', '__')" />.value <xsl:value-of select="listeners" /><xsl:text>
</xsl:text>
 <xsl:value-of select="translate(@mount, '/.', '__')" />.value <xsl:value-of select="listeners" /><xsl:text>
</xsl:text>-->
</xsl:for-each>
</xsl:template>
</xsl:stylesheet>
